Subject: bug#43300: [PATCH] Make M-x show new commands for obsolete aliases

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 16 Feb 2021 17:23:48 +0100

Stefan Kangas <[email-masked]> writes:

> I dropped the ball here a little bit, but I note that Stefan Monnier did
> not like the new behavior, and in hindsight (and with more experience
> using this feature) I think he is correct.

I think the original idea here was good -- make command deprecation less
abrupt, and teach users about the new aliases.  

> I also note that the new behavior fails in cases like:
>
>     query-replace-regexp-eval (use the `\,' feature of `query-replace-regexp'
>     for interactive calls, and `search-forward-regexp'/`replace-match'
>     for Lisp calls.)
>
> IOW, even though I was the one who suggested and implemented this
> feature, I now think that it was a mistake.  I would therefore suggest
> reverting commit 06d86b954d2 to go back to the previous, Emacs 27
> behavior.

Couldn't those cases be fixed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no